Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ij.process
Class ShortProcessor

    java.lang.Object
      ij.process.ImageProcessor
          ij.process.ShortProcessor

public class ShortProcessor
extends ImageProcessor

Objects of the class contain a 16-bit unsigned image and methods that operate on that image.

Field Summary

Fields inherited from class ij.process.ImageProcessor
`antialiasedText, baseCM, BLACK, BLACK_AND_WHITE_LUT, bLUT1, bLUT2, boldFont, CENTER_JUSTIFY, clipXMax, clipXMin, clipYMax, clipYMin, cm, cm2, cTable, cx, cy, defaultColorModel, drawingColor, font, fontMetrics, gLUT1, gLUT2, height, histogramMax, histogramMin, histogramSize, image, img, interpolate, inversionTested, invertedLut, justification, LEFT_JUSTIFY, lineWidth, lutAnimation, lutUpdateMode, maxThreshold, minThreshold, newPixels, NO_LUT_UPDATE, NO_THRESHOLD, OVER_UNDER_LUT, raster, RED_LUT, RIGHT_JUSTIFY, rLUT1, rLUT2, roiHeight, roiWidth, roiX, roiY, sampleModel, snapshotHeight, snapshotWidth, source, width, xMax, xMin, yMax, yMin`

Constructor Summary
`ShortProcessor(java.awt.image.BufferedImage bi)` Creates a ShortProcessor from a TYPE_USHORT_GRAY BufferedImage.
`ShortProcessor(int width, int height)` Creates a blank ShortProcessor using the default grayscale LUT that displays zero as black.
`ShortProcessor(int width, int height, boolean unsigned)` Obsolete.
`ShortProcessor(int width, int height, short[] pixels, java.awt.image.ColorModel cm)` Creates a new ShortProcessor using the specified pixel array and ColorModel.
`ShortProcessor(int width, int height, short[] pixels, java.awt.image.ColorModel cm, boolean unsigned)` Obsolete.

Method Summary
`void` | `abs()` If this is a 32-bit or signed 16-bit image, performs an absolute value transform, otherwise does nothing.
`void` | `add(double value)` Adds 'value' to each pixel in the image or ROI.
`void` | `add(int value)` Adds 'value' to each pixel in the image or ROI.
`void` | `and(int value)` Binary AND of each pixel in the image or ROI with 'value'.
`void` | `applyTable(int[] lut)` Transforms the pixel data using a 65536 entry lookup table.
`void` | `convolve(float[] kernel, int kernelWidth, int kernelHeight)` Performs a convolution operation using the specified kernel.
`void` | `convolve3x3(int[] kernel)` 3x3 convolution contributed by Glynne Casteel.
`void` | `copyBits(ImageProcessor ip, int xloc, int yloc, int mode)` Copies the image contained in 'ip' to (xloc, yloc) using one of the transfer modes defined in the Blitter interface.
`java.awt.Image` | `createImage()` Create an 8-bit AWT image by scaling pixels in the range min-max to 0-255.
`ImageProcessor` | `createProcessor(int width, int height)` Returns a new, blank ShortProcessor with the specified width and height.
`ImageProcessor` | `crop()` Creates a new processor containing an image that corresponds to the current ROI.
`void` | `dilate()` Not implemented.
`void` | `drawPixel(int x, int y)` Draws a pixel in the current foreground color.
`ImageProcessor` | `duplicate()` Returns a duplicate of this image.
`void` | `erode()` Not implemented.
`void` | `exp()` Performs a exponential transform on the image or ROI.
`void` | `fill()` Fills the current rectangular ROI.
`void` | `fill(ImageProcessor mask)` Fills pixels that are within roi and part of the mask.
`void` | `filter(int type)` Filters using a 3x3 neighborhood.
`void` | `findMinAndMax()`
`void` | `flipVertical()` Flips the image or ROI vertically.
`void` | `gamma(double value)` Performs gamma correction of the image or ROI.
`int` | `get(int index)`
`int` | `get(int x, int y)` This is a faster version of getPixel() that does not do bounds checking.
`float` | `getf(int index)`
`float` | `getf(int x, int y)`
`int[]` | `getHistogram()` Returns 65536 bin histogram of the current ROI, which can be non-rectangular.
`double` | `getInterpolatedPixel(double x, double y)` Uses bilinear interpolation to find the pixel value at real coordinates (x,y).
`double` | `getMax()` Returns the largest displayed pixel value.
`double` | `getMin()` Returns the smallest displayed pixel value.
`int` | `getPixel(int x, int y)` Returns the value of the pixel at (x,y).
`java.lang.Object` | `getPixels()` Returns a reference to the short array containing this image's pixel data.
`java.lang.Object` | `getPixelsCopy()` Returns a copy of the pixel data.
`float` | `getPixelValue(int x, int y)` Returns the value of the pixel at (x,y) as a float.
`java.lang.Object` | `getSnapshotPixels()` Returns a reference to the snapshot (undo) buffer, or null.
`void` | `invert()` Inverts the image or ROI.
`void` | `log()` Performs a log transform on the image or ROI.
`void` | `max(double value)` Pixels greater than 'value' are set to 'value'.
`double` | `maxValue()` Returns the maximum possible pixel value.
`void` | `medianFilter()` Not implemented.
`void` | `min(double value)` Pixels less than 'value' are set to 'value'.
`void` | `multiply(double value)` Multiplies each pixel in the image or ROI by 'value'.
`void` | `noise(double range)` Adds random noise to the image or ROI.
`void` | `or(int value)` Binary OR of each pixel in the image or ROI with 'value'.
`void` | `putPixel(int x, int y, int value)` Stores the specified value at (x,y).
`void` | `putPixelValue(int x, int y, double value)` Stores the specified real value at (x,y).
`void` | `reset()` Restores the pixel data from the snapshot (undo) buffer.
`void` | `reset(ImageProcessor mask)` Restores pixels from the snapshot buffer that are within the rectangular roi but not part of the mask.
`void` | `resetMinAndMax()` Recalculates the min and max values used to scale pixel values to 0-255 for display.
`ImageProcessor` | `resize(int dstWidth, int dstHeight)` Creates a new ShortProcessor containing a scaled copy of this image or selection.
`void` | `rotate(double angle)` Rotates the image or ROI 'angle' degrees clockwise.
`void` | `scale(double xScale, double yScale)` Scales the image or selection using the specified scale factors.
`void` | `set(int index, int value)`
`void` | `set(int x, int y, int value)` This is a faster version of putPixel() that does not clip out of range values and does not do bounds checking.
`void` | `setBackgroundValue(double value)` Does nothing.
`void` | `setColor(java.awt.Color color)` Sets the foreground fill/draw color.
`void` | `setf(int index, float value)`
`void` | `setf(int x, int y, float value)`
`void` | `setMinAndMax(double min, double max)` Sets the min and max variables that control how real pixel values are mapped to 0-255 screen values.
`void` | `setPixels(int channelNumber, FloatProcessor fp)` Sets the pixels from a FloatProcessor, no scaling.
`void` | `setPixels(java.lang.Object pixels)` Sets a new pixel array for the image.
`void` | `setSnapshotPixels(java.lang.Object pixels)` Sets a new pixel array for the snapshot (undo) buffer.
`void` | `setThreshold(double minThreshold, double maxThreshold, int lutUpdate)` Sets the lower and upper threshold levels.
`void` | `setValue(double value)` Sets the default fill/draw value, where 0<=value<=65535).
`void` | `snapshot()` Makes a copy of this image's pixel data that can be later restored using reset() or reset(mask).
`void` | `sqr()` Performs a square transform on the image or ROI.
`void` | `sqrt()` Performs a square root transform on the image or ROI.
`void` | `threshold(int level)` Sets pixels less than or equal to level to 0 and all other pixels to 255.
`FloatProcessor` | `toFloat(int channelNumber, FloatProcessor fp)` Returns a FloatProcessor with the same image, no scaling or calibration (pixel values 0 to 65535).
`void` | `xor(int value)` Binary exclusive OR of each pixel in the image or ROI with 'value'.

Methods inherited from class ij.process.ImageProcessor
`autoThreshold, convertToByte, convertToFloat, convertToRGB, convertToShort, drawDot, drawDot2, drawLine, drawOval, drawPolygon, drawRect, drawString, drawString, fillOval, fillPolygon, findEdges, flipHorizontal, getAutoThreshold, getAutoThreshold, getBestIndex, getCalibrationTable, getColorModel, getColumn, getCurrentColorModel, getDefaultColorModel, getFloatArray, getFontMetrics, getHeight, getHistogramMax, getHistogramMin, getHistogramSize, getIndexSampleModel, getIntArray, getInterpolate, getInterpolatedValue, getLine, getLutUpdateMode, getMask, getMaskArray, getMaxThreshold, getMinThreshold, getNChannels, getPixel, getPixelCount, getRoi, getRow, getStringWidth, getWidth, hideProgress, insert, invertLut, isColorLut, isInvertedLut, isKillable, isPseudoColorLut, lineTo, makeDefaultColorModel, maskSizeError, minValue, moveTo, putColumn, putPixel, putRow, resetBinaryThreshold, resetRoi, resetThreshold, resize, rotateLeft, rotateRight, setAntialiasedText, setCalibrationTable, setClipRect, setColor, setColorModel, setFloatArray, setFont, setHistogramRange, setHistogramSize, setIntArray, setInterpolate, setJustification, setLineWidth, setLutAnimation, setMask, setProgressBar, setRoi, setRoi, setRoi, setRoi, setSnapshotCopyMode, sharpen, showProgress, smooth, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ShortProcessor

    public ShortProcessor(int width,
                          int height,
                          short[] pixels,
                          java.awt.image.ColorModel cm)

  Creates a new ShortProcessor using the specified pixel array and ColorModel. Set 'cm' to null to use the default grayscale LUT.

### ShortProcessor

    public ShortProcessor(int width,
                          int height)

  Creates a blank ShortProcessor using the default grayscale LUT that displays zero as black. Call invertLut() to display zero as white.

### ShortProcessor

    public ShortProcessor(java.awt.image.BufferedImage bi)

  Creates a ShortProcessor from a TYPE_USHORT_GRAY BufferedImage.

### ShortProcessor

    public ShortProcessor(int width,
                          int height,
                          short[] pixels,
                          java.awt.image.ColorModel cm,
                          boolean unsigned)

  Obsolete. 16 bit images are normally unsigned but signed images can be used by subtracting 32768 and using a calibration function to restore the original values.

### ShortProcessor

    public ShortProcessor(int width,
                          int height,
                          boolean unsigned)

  Obsolete. 16 bit images are normally unsigned but signed images can be used by subtracting 32768 and using a calibration function to restore the original values.

Method Detail

### findMinAndMax

    public void findMinAndMax()

### createImage

    public java.awt.Image createImage()

  Create an 8-bit AWT image by scaling pixels in the range min-max to 0-255.

  Specified by:
    `createImage` in class `ImageProcessor`

### createProcessor

    public ImageProcessor createProcessor(int width,
                                          int height)

  Returns a new, blank ShortProcessor with the specified width and height.

  Specified by:
    `createProcessor` in class `ImageProcessor`

### snapshot

    public void snapshot()

  Description copied from class: `ImageProcessor`
  Makes a copy of this image's pixel data that can be later restored using reset() or reset(mask).

  Specified by:
    `snapshot` in class `ImageProcessor`
  See Also:
    `ImageProcessor.reset()`, `ImageProcessor.reset(ImageProcessor)`

### reset

    public void reset()

  Description copied from class: `ImageProcessor`
  Restores the pixel data from the snapshot (undo) buffer.

  Specified by:
    `reset` in class `ImageProcessor`

### reset

    public void reset(ImageProcessor mask)

  Description copied from class: `ImageProcessor`
  Restores pixels from the snapshot buffer that are within the rectangular roi but not part of the mask.

  Specified by:
    `reset` in class `ImageProcessor`

### setSnapshotPixels

    public void setSnapshotPixels(java.lang.Object pixels)

  Description copied from class: `ImageProcessor`
  Sets a new pixel array for the snapshot (undo) buffer.

  Specified by:
    `setSnapshotPixels` in class `ImageProcessor`

### getSnapshotPixels

    public java.lang.Object getSnapshotPixels()

  Description copied from class: `ImageProcessor`
  Returns a reference to the snapshot (undo) buffer, or null.

  Specified by:
    `getSnapshotPixels` in class `ImageProcessor`

### getMin

    public double getMin()

  Returns the smallest displayed pixel value.

  Specified by:
    `getMin` in class `ImageProcessor`

### getMax

    public double getMax()

  Returns the largest displayed pixel value.

  Specified by:
    `getMax` in class `ImageProcessor`

### setMinAndMax

    public void setMinAndMax(double min,
                             double max)

  Sets the min and max variables that control how real pixel values are mapped to 0-255 screen values.

  Specified by:
    `setMinAndMax` in class `ImageProcessor`
  See Also:
    `resetMinAndMax()`, `ContrastAdjuster`

### resetMinAndMax

    public void resetMinAndMax()

  Recalculates the min and max values used to scale pixel values to 0-255 for display. This ensures that this ShortProcessor is set up to correctly display the image.

  Overrides:
    `resetMinAndMax` in class `ImageProcessor`

### getPixel

    public int getPixel(int x,
                        int y)

  Description copied from class: `ImageProcessor`
  Returns the value of the pixel at (x,y). For RGB images, the argb values are packed in an int. For float images, the the value must be converted using Float.intBitsToFloat(). Returns zero if either the x or y coodinate is out of range.

  Specified by:
    `getPixel` in class `ImageProcessor`

### get

    public final int get(int x,
                         int y)

  Description copied from class: `ImageProcessor`
  This is a faster version of getPixel() that does not do bounds checking.

  Specified by:
    `get` in class `ImageProcessor`

### set

    public final void set(int x,
                          int y,
                          int value)

  Description copied from class: `ImageProcessor`
  This is a faster version of putPixel() that does not clip out of range values and does not do bounds checking.

  Specified by:
    `set` in class `ImageProcessor`

### get

    public final int get(int index)

  Specified by:
    `get` in class `ImageProcessor`

### set

    public final void set(int index,
                          int value)

  Specified by:
    `set` in class `ImageProcessor`

### getf

    public final float getf(int x,
                            int y)

  Specified by:
    `getf` in class `ImageProcessor`

### setf

    public final void setf(int x,
                           int y,
                           float value)

  Specified by:
    `setf` in class `ImageProcessor`

### getf

    public final float getf(int index)

  Specified by:
    `getf` in class `ImageProcessor`

### setf

    public final void setf(int index,
                           float value)

  Specified by:
    `setf` in class `ImageProcessor`

### getInterpolatedPixel

    public double getInterpolatedPixel(double x,
                                       double y)

  Uses bilinear interpolation to find the pixel value at real coordinates (x,y).

  Specified by:
    `getInterpolatedPixel` in class `ImageProcessor`

### putPixel

    public void putPixel(int x,
                         int y,
                         int value)

  Stores the specified value at (x,y). Does nothing if (x,y) is outside the image boundary. Values outside the range 0-65535 are clipped.

  Specified by:
    `putPixel` in class `ImageProcessor`

### putPixelValue

    public void putPixelValue(int x,
                              int y,
                              double value)

  Stores the specified real value at (x,y). Does nothing if (x,y) is outside the image boundary. Values outside the range 0-65535 (-32768-32767 for signed images) are clipped. Support for signed values requires a calibration table, which is set up automatically with PlugInFilters.

  Specified by:
    `putPixelValue` in class `ImageProcessor`

### drawPixel

    public void drawPixel(int x,
                          int y)

  Draws a pixel in the current foreground color.

  Specified by:
    `drawPixel` in class `ImageProcessor`

### getPixelValue

    public float getPixelValue(int x,
                               int y)

  Returns the value of the pixel at (x,y) as a float. For signed images, returns a signed value if a calibration table has been set using setCalibrationTable() (this is done automatically in PlugInFilters).

  Specified by:
    `getPixelValue` in class `ImageProcessor`

### getPixels

    public java.lang.Object getPixels()

  Returns a reference to the short array containing this image's pixel data. To avoid sign extension, the pixel values must be accessed using a mask (e.g. int i = pixels[j]&0xffff).

  Specified by:
    `getPixels` in class `ImageProcessor`

### getPixelsCopy

    public java.lang.Object getPixelsCopy()

  Returns a copy of the pixel data. Or returns a reference to the snapshot buffer if it is not null and 'snapshotCopyMode' is true.

  Specified by:
    `getPixelsCopy` in class `ImageProcessor`
  See Also:
    `ImageProcessor.snapshot()`, `ImageProcessor.setSnapshotCopyMode(boolean)`

### setPixels

    public void setPixels(java.lang.Object pixels)

  Description copied from class: `ImageProcessor`
  Sets a new pixel array for the image. The length of the array must be equal to width*height. Use setSnapshotPixels(null) to clear the snapshot buffer.

  Specified by:
    `setPixels` in class `ImageProcessor`

### copyBits

    public void copyBits(ImageProcessor ip,
                         int xloc,
                         int yloc,
                         int mode)

  Copies the image contained in 'ip' to (xloc, yloc) using one of the transfer modes defined in the Blitter interface.

  Specified by:
    `copyBits` in class `ImageProcessor`

### applyTable

    public void applyTable(int[] lut)

  Transforms the pixel data using a 65536 entry lookup table.

  Specified by:
    `applyTable` in class `ImageProcessor`

### invert

    public void invert()

  Description copied from class: `ImageProcessor`
  Inverts the image or ROI.

  Overrides:
    `invert` in class `ImageProcessor`

### add

    public void add(int value)

  Description copied from class: `ImageProcessor`
  Adds 'value' to each pixel in the image or ROI.

  Overrides:
    `add` in class `ImageProcessor`

### add

    public void add(double value)

  Description copied from class: `ImageProcessor`
  Adds 'value' to each pixel in the image or ROI.

  Overrides:
    `add` in class `ImageProcessor`

### multiply

    public void multiply(double value)

  Description copied from class: `ImageProcessor`
  Multiplies each pixel in the image or ROI by 'value'.

  Overrides:
    `multiply` in class `ImageProcessor`

### and

    public void and(int value)

  Description copied from class: `ImageProcessor`
  Binary AND of each pixel in the image or ROI with 'value'.

  Overrides:
    `and` in class `ImageProcessor`

### or

    public void or(int value)

  Description copied from class: `ImageProcessor`
  Binary OR of each pixel in the image or ROI with 'value'.

  Overrides:
    `or` in class `ImageProcessor`

### xor

    public void xor(int value)

  Description copied from class: `ImageProcessor`
  Binary exclusive OR of each pixel in the image or ROI with 'value'.

  Overrides:
    `xor` in class `ImageProcessor`

### gamma

    public void gamma(double value)

  Description copied from class: `ImageProcessor`
  Performs gamma correction of the image or ROI.

  Overrides:
    `gamma` in class `ImageProcessor`

### log

    public void log()

  Description copied from class: `ImageProcessor`
  Performs a log transform on the image or ROI.

  Overrides:
    `log` in class `ImageProcessor`

### exp

    public void exp()

  Description copied from class: `ImageProcessor`
  Performs a exponential transform on the image or ROI.

  Overrides:
    `exp` in class `ImageProcessor`

### sqr

    public void sqr()

  Description copied from class: `ImageProcessor`
  Performs a square transform on the image or ROI.

  Overrides:
    `sqr` in class `ImageProcessor`

### sqrt

    public void sqrt()

  Description copied from class: `ImageProcessor`
  Performs a square root transform on the image or ROI.

  Overrides:
    `sqrt` in class `ImageProcessor`

### abs

    public void abs()

  Description copied from class: `ImageProcessor`
  If this is a 32-bit or signed 16-bit image, performs an absolute value transform, otherwise does nothing.

  Overrides:
    `abs` in class `ImageProcessor`

### min

    public void min(double value)

  Description copied from class: `ImageProcessor`
  Pixels less than 'value' are set to 'value'.

  Overrides:
    `min` in class `ImageProcessor`

### max

    public void max(double value)

  Description copied from class: `ImageProcessor`
  Pixels greater than 'value' are set to 'value'.

  Overrides:
    `max` in class `ImageProcessor`

### fill

    public void fill()

  Fills the current rectangular ROI.

  Overrides:
    `fill` in class `ImageProcessor`
  See Also:
    `fill(ImageProcessor)`

### fill

    public void fill(ImageProcessor mask)

  Fills pixels that are within roi and part of the mask. Does nothing if the mask is not the same as the ROI.

  Specified by:
    `fill` in class `ImageProcessor`

### convolve3x3

    public void convolve3x3(int[] kernel)

  3x3 convolution contributed by Glynne Casteel.

  Specified by:
    `convolve3x3` in class `ImageProcessor`

### filter

    public void filter(int type)

  Filters using a 3x3 neighborhood.

  Specified by:
    `filter` in class `ImageProcessor`

### rotate

    public void rotate(double angle)

  Rotates the image or ROI 'angle' degrees clockwise.

  Specified by:
    `rotate` in class `ImageProcessor`
  See Also:
    `ImageProcessor.setInterpolate(boolean)`

### flipVertical

    public void flipVertical()

  Description copied from class: `ImageProcessor`
  Flips the image or ROI vertically.

  Specified by:
    `flipVertical` in class `ImageProcessor`

### scale

    public void scale(double xScale,
                      double yScale)

  Scales the image or selection using the specified scale factors.

  Specified by:
    `scale` in class `ImageProcessor`
  See Also:
    `ImageProcessor.setInterpolate(boolean)`

### resize

    public ImageProcessor resize(int dstWidth,
                                 int dstHeight)

  Creates a new ShortProcessor containing a scaled copy of this image or selection.

  Specified by:
    `resize` in class `ImageProcessor`
  See Also:
    `ImageProcessor.setInterpolate(boolean)`

### crop

    public ImageProcessor crop()

  Description copied from class: `ImageProcessor`
  Creates a new processor containing an image that corresponds to the current ROI.

  Specified by:
    `crop` in class `ImageProcessor`

### duplicate

    public ImageProcessor duplicate()

  Returns a duplicate of this image.

  Specified by:
    `duplicate` in class `ImageProcessor`

### setColor

    public void setColor(java.awt.Color color)

  Sets the foreground fill/draw color.

  Specified by:
    `setColor` in class `ImageProcessor`

### setValue

    public void setValue(double value)

  Sets the default fill/draw value, where 0<=value<=65535).

  Specified by:
    `setValue` in class `ImageProcessor`

### setBackgroundValue

    public void setBackgroundValue(double value)

  Does nothing. The rotate() and scale() methods always zero fill.

  Specified by:
    `setBackgroundValue` in class `ImageProcessor`

### getHistogram

    public int[] getHistogram()

  Returns 65536 bin histogram of the current ROI, which can be non-rectangular.

  Specified by:
    `getHistogram` in class `ImageProcessor`

### setThreshold

    public void setThreshold(double minThreshold,
                             double maxThreshold,
                             int lutUpdate)

  Description copied from class: `ImageProcessor`
  Sets the lower and upper threshold levels. The 'lutUpdate' argument can be RED_LUT, BLACK_AND_WHITE_LUT, OVER_UNDER_LUT or NO_LUT_UPDATE. Thresholding of RGB images is not supported.

  Overrides:
    `setThreshold` in class `ImageProcessor`

### convolve

    public void convolve(float[] kernel,
                         int kernelWidth,
                         int kernelHeight)

  Performs a convolution operation using the specified kernel.

  Specified by:
    `convolve` in class `ImageProcessor`

### noise

    public void noise(double range)

  Description copied from class: `ImageProcessor`
  Adds random noise to the image or ROI.

  Specified by:
    `noise` in class `ImageProcessor`
  Parameters:
    `range` - the range of random numbers

### threshold

    public void threshold(int level)

  Description copied from class: `ImageProcessor`
  Sets pixels less than or equal to level to 0 and all other pixels to 255. Only works with 8-bit and 16-bit images.

  Specified by:
    `threshold` in class `ImageProcessor`

### toFloat

    public FloatProcessor toFloat(int channelNumber,
                                  FloatProcessor fp)

  Returns a FloatProcessor with the same image, no scaling or calibration (pixel values 0 to 65535). The roi, mask, lut (ColorModel), threshold, min&max are also set for the FloatProcessor

  Specified by:
    `toFloat` in class `ImageProcessor`
  Parameters:
    `channelNumber` - Ignored (needed for compatibility with ColorProcessor.toFloat)
    `fp` - Here a FloatProcessor can be supplied, or null. The FloatProcessor is overwritten by this method (re-using its pixels array improves performance).
  Returns:
    A FloatProcessor with the converted image data

### setPixels

    public void setPixels(int channelNumber,
                          FloatProcessor fp)

  Sets the pixels from a FloatProcessor, no scaling. Also the min&max values are taken from the FloatProcessor.

  Specified by:
    `setPixels` in class `ImageProcessor`
  Parameters:
    `channelNumber` - Ignored (needed for compatibility with ColorProcessor.toFloat)
    `fp` - The FloatProcessor where the image data are read from.

### maxValue

    public double maxValue()

  Returns the maximum possible pixel value.

  Overrides:
    `maxValue` in class `ImageProcessor`

### medianFilter

    public void medianFilter()

  Not implemented.

  Specified by:
    `medianFilter` in class `ImageProcessor`

### erode

    public void erode()

  Not implemented.

  Specified by:
    `erode` in class `ImageProcessor`

### dilate

    public void dilate()

  Not implemented.

  Specified by:
    `dilate` in class `ImageProcessor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD